This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 789492 - Drift snapshot displays wrong directory name on windows (root base dir issues)
Drift snapshot displays wrong directory name on windows (root base dir issues)
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: drift (Show other bugs)
4.2
All Windows
medium Severity high (vote)
: ---
: JON 3.0.1
Assigned To: Jay Shaughnessy
Mike Foley
:
: 789131 789133 (view as bug list)
Depends On: 760145
Blocks: jon30-sprint10/rhq43-sprint10
  Show dependency treegraph
 
Reported: 2012-02-10 16:26 EST by Jay Shaughnessy
Modified: 2013-09-03 11:13 EDT (History)
6 users (show)

See Also:
Fixed In Version: 3.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 760145
Environment:
Last Closed: 2013-09-03 11:13:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot (110.76 KB, image/png)
2012-02-20 05:31 EST, Sunil Kondkar
no flags Details

  None (edit)
Description Jay Shaughnessy 2012-02-10 16:26:17 EST
+++ This bug was initially created as a clone of Bug #760145 +++

Description of problem:


Version-Release number of selected component (if applicable):
Version: 3.0.0.GA
Build Number: e23441b:4e746e8

How reproducible:always


Steps to Reproduce:
1. have an windows agent
2. create drift from file-system template on widnows agent
3. set "C:\" as base directory
4. set "tmp" and "**/*" to include path
5. put some files to C:\tmp
6. run drift detection
7. select drift and click on "Pin" to Pin your snapshot
  
Actual results:
Table showing contents of snapshot shows "mp" as directory name instead of "tmp"


Expected results:
Directory name in snapshot is displayed correctly

Additional info: It seems like missing "t" was eaten by backslash (full path to dir is C:\tmp

--- Additional comment from lzoubek@redhat.com on 2011-12-05 09:24:09 EST ---

Created attachment 540942 [details]
invalid dirname screenshot

--- Additional comment from jshaughn@redhat.com on 2011-12-05 15:31:57 EST ---


This is fairly bad as the paths get corrupted for all drift entries when
the basedir is a windows file system root (e.g. c:/ or d:/).  There is
no workaround other than not using the file system root as the basedir.

--- Additional comment from jshaughn@redhat.com on 2011-12-05 15:58:29 EST ---


master commit 83197699d41880beb6266fc47d38cbf201bce7a4

--- Additional comment from jshaughn@redhat.com on 2011-12-05 16:00:37 EST ---


Test Notes:
validate on windows *and* linux:
- Using root dir basedir with an includes subdir
- Using non-root basedir without an includes
- Using non-root basedir with an includes subdir

--- Additional comment from skondkar@redhat.com on 2011-12-15 07:29:16 EST ---

Verified on master build#836 (Version: 4.3.0-SNAPSHOT Build Number: 3300dff)

Followed the steps and verified that the directory name displayed is correct. Please refer the screenshot.
Verified on windows and linux root and non-root basedir with and without an includs subdir. The path is displayed correctly.

--- Additional comment from skondkar@redhat.com on 2011-12-15 07:29:45 EST ---

Created attachment 547206 [details]
Screenshot
Comment 1 Jay Shaughnessy 2012-02-10 16:31:22 EST
release/jon3.0.x cherry pick:

commit 87d7abc912a383e30d6cd930c0b2e80cb47cf025
Comment 2 Jay Shaughnessy 2012-02-10 16:32:05 EST
*** Bug 789131 has been marked as a duplicate of this bug. ***
Comment 3 Jay Shaughnessy 2012-02-10 16:32:27 EST
*** Bug 789133 has been marked as a duplicate of this bug. ***
Comment 4 Mike Foley 2012-02-13 11:59:31 EST
per triage 2/13/2012 (asantos, crouch, foley, loleary)
Comment 5 Simeon Pinder 2012-02-17 00:35:11 EST
Moving to ON_QA for testing with JON 3.0.1.GA RC5 or better:
https://brewweb.devel.redhat.com//buildinfo?buildID=199114
Comment 6 Sunil Kondkar 2012-02-20 05:31:22 EST
Verified on JON 3.0.1.GA RC5 (Build Number: dd8a001:fbca611)

Verified on windows and linux root and non-root basedir with and without an
includs subdir. The path is displayed correctly.

Please refer the screenshot.
Comment 7 Sunil Kondkar 2012-02-20 05:31:55 EST
Created attachment 564375 [details]
Screenshot
Comment 8 Heiko W. Rupp 2013-09-03 11:13:38 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.